ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Data.Bool

# Documentation

data OverridingBool Source #

Constructors

Auto |
Never |
Always |

#### Instances

Instances details

Bounded OverridingBool Source # | Since: 9.4.1
Instance details Defined in GHC.Data.Bool Methods minBound :: OverridingBool Source # maxBound :: OverridingBool Source #
Enum OverridingBool Source # | Since: 9.4.1

Instance details

Defined in GHC.Data.Bool

Methods

succ :: OverridingBool -> OverridingBool Source #

pred :: OverridingBool -> OverridingBool Source #

toEnum :: Int -> OverridingBool Source #

fromEnum :: OverridingBool -> Int Source #

enumFrom :: OverridingBool -> [OverridingBool] Source #

enumFromThen :: OverridingBool -> OverridingBool -> [OverridingBool] Source #

enumFromTo :: OverridingBool -> OverridingBool -> [OverridingBool] Source #

enumFromThenTo :: OverridingBool -> OverridingBool -> OverridingBool -> [OverridingBool] Source #

Read OverridingBool Source # | Since: 9.4.1
Instance details Defined in GHC.Data.Bool Methods readsPrec :: Int -> ReadS OverridingBool Source # readList :: ReadS [OverridingBool] Source # readPrec :: ReadPrec OverridingBool Source # readListPrec :: ReadPrec [OverridingBool] Source #
Show OverridingBool Source # |
Instance details Defined in GHC.Data.Bool Methods showsPrec :: Int -> OverridingBool -> ShowS Source # show :: OverridingBool -> String Source # showList :: [OverridingBool] -> ShowS Source #
Eq OverridingBool Source # | Since: 9.4.1
Instance details Defined in GHC.Data.Bool Methods (==) :: OverridingBool -> OverridingBool -> Bool Source # (/=) :: OverridingBool -> OverridingBool -> Bool Source #
Ord OverridingBool Source # | Since: 9.4.1

Instance details

Defined in GHC.Data.Bool

Methods

compare :: OverridingBool -> OverridingBool -> Ordering Source #

(<) :: OverridingBool -> OverridingBool -> Bool Source #

(<=) :: OverridingBool -> OverridingBool -> Bool Source #

(>) :: OverridingBool -> OverridingBool -> Bool Source #

(>=) :: OverridingBool -> OverridingBool -> Bool Source #

max :: OverridingBool -> OverridingBool -> OverridingBool Source #

min :: OverridingBool -> OverridingBool -> OverridingBool Source #

overrideWith :: Bool -> OverridingBool -> Bool Source #